Notifly
API ReferenceSubscribers

Search subscribers

Search subscribers by their **email**, **phone**, **subscriberId** and **name**. The search is case sensitive and supports pagination.Checkout all available filters in the query section.

GET
/v2/subscribers

Search subscribers by their email, phone, subscriberId and name. The search is case sensitive and supports pagination.Checkout all available filters in the query section.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

after?string

Cursor for pagination indicating the starting point after which to fetch results.

before?string

Cursor for pagination indicating the ending point before which to fetch results.

limit?number

Limit the number of items to return

orderDirection?string

Direction of sorting

Value in

  • "ASC"
  • "DESC"
orderBy?string

Field to order by

includeCursor?boolean

Include cursor item in response

email?string

Email address of the subscriber to filter results.

name?string

Name of the subscriber to filter results.

phone?string

Phone number of the subscriber to filter results.

subscriberId?string

Unique identifier of the subscriber to filter results.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/subscribers?limit=10"
{  "data": {    "data": [      {        "_id": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phone": "string",        "avatar": "string",        "locale": "string",        "channels": [          {            "providerId": "slack",            "integrationIdentifier": "string",            "credentials": {              "webhookUrl": "https://example.com/webhook",              "channel": "general",              "deviceTokens": [                "token1",                "token2",                "token3"              ],              "alertUid": "12345-abcde",              "title": "Critical Alert",              "imageUrl": "https://example.com/image.png",              "state": "resolved",              "externalUrl": "https://example.com/details"            },            "_integrationId": "string"          }        ],        "topics": [          "string"        ],        "isOnline": true,        "lastOnlineAt": "string",        "__v": 0,        "data": {},        "timezone": "string",        "subscriberId": "string",        "_organizationId": "string",        "_environmentId": "string",        "deleted": true,        "createdAt": "string",        "updatedAt": "string"      }    ],    "next": "string",    "previous": "string",    "totalCount": 0,    "totalCountCapped": true  }}